Name:           libu2f-server
Version:        0.0.0
Release:        1%{?dist}
Summary:        Yubico Universal 2nd Factor (U2F) Server C Library

License:        BSD
URL:            http://developers.yubico.com/%{name}/
Source0:        http://developers.yubico.com/%{name}/releases/%{name}-%{version}.tar.xz

BuildRequires:  openssl-devel json-c-devel check-devel

# Bundled gnulib https://fedorahosted.org/fpc/ticket/174
Provides:       bundled(gnulib)

%description
libu2f-server provides a C library that implements the server-side of the
U2F protocol.

%package -n u2f-server
Summary:        Command-line tool for U2F server
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n u2f-server
u2f-server provides a command line tool that implements the server-side of the
U2F protocol.


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files needed to develop applications that
use libu2f-server.

%prep
%setup -q

%build
%configure --disable-rpath --disable-static

# --disable-rpath doesn't work.
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%check
LD_LIBRARY_PATH="$(pwd)/u2f-server/.libs" make check

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_libdir}/*.so.*
%doc COPYING

%files -n u2f-server
%{_bindir}/u2f-server
%{_mandir}/man1/u2f-server.1.*

%files devel
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/*
%doc README
%doc %{_datadir}/gtk-doc

%changelog
* Mon Jan 12 2015 Jerome Brunet  <guizmo-copr@liltaz.com> - 0.0.0-1
- New package with release 0.0.0 
